# H225_PublicPartyNumber Class Reference

`#include <h225.h>`

Inheritance diagram for H225_PublicPartyNumber:

List of all members.

## Public Member Functions

| H225_PublicPartyNumber (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_PublicTypeOfNumber | m_publicTypeOfNumber
H225_NumberDigits | m_publicNumberDigits

## Constructor & Destructor Documentation

H225_PublicPartyNumber::H225_PublicPartyNumber | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_PublicPartyNumber::GetDataLength | ( |  | ) | const

PBoolean H225_PublicPartyNumber::Decode | ( | PASN_Stream & | strm | ) |

void H225_PublicPartyNumber::Encode | ( | PASN_Stream & | strm | ) | const

void H225_PublicPartyNumber::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_PublicPartyNumber::Compare | ( | const PObject & | obj | ) | const

PObject* H225_PublicPartyNumber::Clone | ( |  | ) | const

## Member Data Documentation

H225_PublicTypeOfNumber H225_PublicPartyNumber::m_publicTypeOfNumber

H225_NumberDigits H225_PublicPartyNumber::m_publicNumberDigits

The documentation for this class was generated from the following file:

- h225.h